dofile("findpath.lua")

exe = path.."\\war3.exe"

if not grim.exists(exe) then
	grim.messagebox("Could not find warcraft at "..exe.."\nTry setting path to warcraft folder in HKEY_CURRENT_USER\\Software\\Blizzard Entertainment\\Warcraft III\\InstallPath or HKEY_CURRENT_USER\\Software\\Grimoire\\War3InstallPath","war3.lua",true)
	return
end


proc = grim.startexe(exe,"war3.exe "..grim.getargs())
if proc == 0 then
	grim.messagebox("Couldn't start warcraft III","war3.lua")
	return
end
dofile("war3.conf.lua")
